package com.qhclh.ytzh.utils;

import android.app.Activity;
import android.content.Context;

import com.bumptech.glide.Glide;
import com.qhclh.ytzh.R;
import com.yancy.gallerypick.inter.ImageLoader;
import com.yancy.gallerypick.widget.GalleryImageView;

/**
 * Created by ZH on 2017/12/1.
 */

public class GlideLoader implements ImageLoader{
    private final static String TAG = "GlideImageLoader";

    @Override
    public void displayImage(Activity activity, Context context, String path, GalleryImageView galleryImageView, int width, int height) {
        Glide.with(context)
                .load(path)
                .placeholder(R.mipmap.gallery_pick_photo)
                .centerCrop()
                .into(galleryImageView);
    }

    @Override
    public void clearMemoryCache() {

    }
}
